curl --request GET \
--url https://api.synctera.com/v1/disputes \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.synctera.com/v1/disputes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.synctera.com/v1/disputes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"disputes": [
{
"action_history": [
{
"action": "ARBITRATION",
"creation_time": "2010-05-06T12:23:34.321Z",
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"payment_rail": "ACH",
"status": "ACCEPTED",
"tenant": "abcdef_ghijkl",
"amount": 1,
"external_reference_id": "<string>",
"memo": "<string>",
"message": "<string>",
"reason_code": "ATM_CASH_DISPUTE",
"representment_reason_code": "ACCOUNT_NOT_LISTED_ON_EWB",
"supporting_doc_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"updated_reason_code_memo": "<string>"
}
],
"available_actions": [
{
"action": "ARBITRATION",
"state": "ACCEPT",
"timestamp_valid_to": "2010-05-06T12:23:34.321Z"
}
],
"credit_status": "FINAL",
"lifecycle_state": "ARBITRATION",
"managed_by": "AUTO_WRITE_OFF",
"network_eligibility": {
"is_digital_wallet_token": true,
"is_network_eligibility_overridden": true,
"is_three_ds": true
},
"reason_code": "ATM_CASH_DISPUTE",
"account_id": "ca4450a5-5d4c-4afc-9533-729e2948c477",
"creation_time": "2010-05-06T12:23:34.321Z",
"currency": "USD",
"customer_id": "52593ea7-4d66-40df-80e9-3b9bc54fa880",
"date_customer_reported": "2010-05-06T12:23:34.321Z",
"decision": "LOST",
"dispute_documents": [
{
"creation_time": "2010-05-06T12:23:34.321Z",
"dispute_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"file_name": "example.pdf",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tenant": "abcdef_ghijkl",
"category": "COUNTERFEIT_EVIDENCE"
}
],
"disputed_amount": 2,
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"last_updated_time": "2010-05-06T12:23:34.321Z",
"memo": "<string>",
"network": "ACH",
"payment_rail": "ACH",
"status": "CLOSED",
"tenant": "abcdef_ghijkl",
"transaction_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"acquirer_reference_number": "<string>",
"evidence": {
"amount_correction": {
"amount": 2,
"currency": "USD"
},
"cancellation": {
"date": "2023-12-25",
"description": "<string>",
"id": "<string>",
"policy_provided": true
},
"delivery": {
"date": "2023-12-25",
"expected_date": "2023-12-25"
},
"merchant_contact": {
"date": "2023-12-25",
"description": "<string>",
"prohibited_reason": "<string>",
"was_attempted": true,
"was_successful": true
},
"refund": {
"description": "<string>",
"policy_provided": true,
"promise_date": "2023-12-25",
"was_promised": true
}
},
"switch_serial_number": "<string>",
"vendor_data": {
"loanpro": {
"dispute_id": 123,
"lms_swipe_id": 123,
"loc_id": 123,
"provisional_credit_id": 123
}
},
"applicable_regulation": "REGULATION_E",
"external_reference_id": "<string>",
"last_action_by": "INITIATOR",
"timestamp_final_decision": "2023-11-07T05:31:56Z",
"timestamp_investigation_due": "2023-11-07T05:31:56Z",
"timestamp_provisional_credit_due": "2023-11-07T05:31:56Z"
}
],
"next_page_token": "a8937a0d"
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}List disputes
Get paginated list of disputes
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Only display disputes with a creation date less than or equal to to_date
The unique identifier of a posted transaction
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
The unique identifier for a transaction related to the dispute, such as a provisional credit or chargeback.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Account ID
Specifies the payment rail type for the returned disputes.
A short string representing the payment rail of the dispute.
ACH, CARD, EXTERNAL_CARD Only display disputes with a creation time greater than or equal to start_time
The current status of the dispute.
CLOSED, OPEN Optional pagination token to be provided to retrieve subsequent pages, returned from previous get
"a8937a0d"
Only display disputes with a final decision time less than or equal to end_time
Only display disputes with a creation date greater than or equal to from_date
| Decision | Description |
|---|---|
| LOST | Decision reached in favour of the network. |
| NONE | No decision was reached. |
| ONGOING | Dispute is ongoing and requires further action. |
| RESOLVED | Resolved in favour of the account holder. |
| WON | Decision reached in favour of the account holder. |
LOST, NONE, ONGOING, RESOLVED, WON Maximum number of objects to return per page. If the limit is greater than 100, then it will be set to 100.
x >= 1100
Response
List of disputes
Array of disputes
Response for a card dispute.
- Card Dispute
- ACH Dispute
- External Card
Show child attributes
Show child attributes
If returned, use the next_page_token to query for the next page of results. Not returned if there are no more rows.
"a8937a0d"
Was this page helpful?

